MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0003019VCMIGUI - Town screenpublic2018-11-01 01:102018-11-14 18:03
ReporterBy003 
Assigned ToDydzio 
PriorityhighSeveritymajorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version0.99 
Target VersionFixed in Version0.next 
Summary0003019: Memory leak in GUI
DescriptionA large storage occupied by VCMI_client while it runs, a great occupation would be generated rapidly while changing different town screens. It is really an big problem and it becomes increasingly serious and affect the running speed of the game.


I have analysed the problem which is contributed by GUI memory leak. It might happens in loading large amount of graphics of the game, and there is not a command to clear cache so I have to quit it manualy. Thus, I hope it could be fixed as soon as possible.
Additional InformationLast year I mentioned about this. I suppose it would just be related as GUI problem.
TagsNo tags attached.
Attached Filesjpg file icon bb256f73918fd3aee1bc81095aba88794e33873e.jpg [^] (13,159 bytes) 2018-11-01 01:10

- Relationships

-  Notes
(0007686)
By003 (reporter)
2018-11-13 07:34

No response here..I suppose this bug or problem should be put into priority. Running problem might be most serious.
(0007687)
Dydzio (developer)
2018-11-14 18:03

Fixed in https://github.com/vcmi/vcmi/commit/614cde4a552415cd36d24a16419cf6180b900d49#diff-8b2bf7b353770cbc9ea4d28dddee87b7R926 [^]

- Issue History
Date Modified Username Field Change
2018-11-01 01:10 By003 New Issue
2018-11-01 01:10 By003 File Added: bb256f73918fd3aee1bc81095aba88794e33873e.jpg
2018-11-13 07:34 By003 Note Added: 0007686
2018-11-14 18:03 Dydzio Status new => resolved
2018-11-14 18:03 Dydzio Fixed in Version => 0.next
2018-11-14 18:03 Dydzio Resolution open => fixed
2018-11-14 18:03 Dydzio Assigned To => Dydzio
2018-11-14 18:03 Dydzio Note Added: 0007687

Site | Forums | Wiki | Slack | GitHub


Copyright © 2000 - 2018 MantisBT Team
Hosting provided by DigitalOcean